#!/usr/bin/make -f

export PYTHON=python3
export CYTHONEXEC=cython3

override_dh_auto_configure:
	dh_auto_configure -- --disable-runtime-deps-check --with-dhcp-config=/etc/dhcp/dhcpd.conf --with-systemdsystemunitdir=/lib/systemd/system

override_dh_auto_install:
	dh_auto_install
	rm debian/blueman/usr/share/doc/blueman/COPYING
	rm debian/blueman/usr/lib/python*/site-packages/_blueman.la
	rm debian/blueman/usr/lib/python*/site-packages/_blueman.a

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3
	dh_python3 --shebang=/usr/bin/python3 /usr/libexec

%:
	dh $@ --with python3
